Subject: Re: [Cbe-oss-dev] [patch 01/20] cell: add RAS support

From: Olof Johansson <[email-masked]>
Date: Tue, 20 Jun 2006 12:50:07 -0500

On Tue, Jun 20, 2006 at 06:26:53PM +0200, Arnd Bergmann wrote:
> On Tuesday 20 June 2006 17:43, Olof Johansson wrote:
> > 
> > > This is a first version of support for the Cell BE "Reliability,
> > > Availability and Serviceability" features.
> > 
> > Does it really make sense to do this under a config option? I don't see
> > why anyone would not want to know that their machine is about to melt.
> > 
> You can only have that when running on bare metal. Machines that run
> on a hypervisor can't run that code.

Well, it's harmless to build it in even on hypervisor systems, right?

> It probably makes sense to auto-select that option for CONFIG_CELL_BLADE
> though.

Sounds like a reasonable trade-off.

-Olof